import { LibOptions, PageViewsOptions } from 'swetrix/dist/esnext/Lib';
import { Plugin } from 'vue';

declare interface SwetrixVuePluginOptions {
    pid: string;
    initOptions?: LibOptions;
    pageViewsOptions?: PageViewsOptions;
}

/**
 * Vue Composition API for automatically tracking navigation changes on Vue v3 apps.
 *
 * @param pid the Swetrix Project ID.
 * @param initOptions configuration of the Swetrix init method.
 * @param pageViewsOptions configuration of the Swetrix trackViews method.
 */
declare const useSwetrix: (pid: string, initOptions?: LibOptions, pageViewsOptions?: PageViewsOptions) => void;
declare const plugin: Plugin;

export { SwetrixVuePluginOptions, plugin as default, useSwetrix };
